package org.aohe.core.sane.utils;

import cn.hutool.setting.Setting;
import lombok.Data;


@Data
public class RemoteConfig {
    
    private String ip = "127.0.0.1";
    
    RemoteConfig() {
    }

    private static Setting getSetting(){
        return new Setting("config.setting");
    }
    
    RemoteConfig(String ip) {
        this.ip = ip;
    }
    
    public static RemoteConfig getInstance(){
        String setIp;
        try {
            setIp = getSetting().getStr("ip");
        }catch (Exception e){
            setIp = "127.0.0.1";
        }
        if(setIp != null){
            return new RemoteConfig(setIp);
        }
        return new RemoteConfig();
    }
    
}
